# Interface VyperSourceMap

#### Hierarchy

- VyperSourceMap

- Defined in codec/lib/compilations/types.ts:159

#####
Index

### Properties

pc_jump_map
pc_pos_map
pc_pos_map_compressed?

## Properties

### pc_jump_map

pc_jump_map: {
[pc: number]: "-" | "i" | "o";
}

#### Type declaration

- ##### [pc: number]: "-" | "i" | "o"

- Defined in codec/lib/compilations/types.ts:162

### pc_pos_map

pc_pos_map: {
[pc: number]: [number, number, number, number];
}

#### Type declaration

- ##### [pc: number]: [number, number, number, number]

- Defined in codec/lib/compilations/types.ts:165

### `Optional` pc_pos_map_compressed

pc_pos_map_compressed?: string

- Defined in codec/lib/compilations/types.ts:168

Generated using TypeDoc